index.on.type
Prev | ToC/LoT/Index Generation | Next

## Name

index.on.type — Select indexterms based on `type` attribute value

## Synopsis

    <xsl:param name="index.on.type" select="0"></xsl:param>

## Description

If non-zero, then an `index` element that has a `type` attribute value will contain only those `indexterm` elements with a matching `type` attribute value. If an `index` has no `type` attribute or it is blank, then the index will contain all `indexterm`s in the current scope.

If `index.on.type` is zero, then the `type` attribute has no effect on selecting indexterms for an index.

For those using DocBook version 4.2 or earlier, the `type` attribute is not available for index terms. However, you can achieve the same effect by using the `role` attribute in the same manner on `indexterm` and `index`, and setting the stylesheet parameter `index.on.role` to a nonzero value.

Prev | Up | Next
make.index.markup | Home | index.on.role